From 5bbe2b9314d5a895a4382c7089a65f47fc561d9d Mon Sep 17 00:00:00 2001
From: skrzepto <shims506@gmail.com>
Date: Aug 05 2016 13:22:49 +0000
Subject: [PATCH 600/1001] minimize user interaction, upgrade python packages if they are already installed, also temp fix for html5lib fiasco


---

diff --git a/setup_test_env.sh b/setup_test_env.sh
index d0c83fa..312c017 100644
--- a/setup_test_env.sh
+++ b/setup_test_env.sh
@@ -5,10 +5,10 @@
 #####
 
 # Install dependencies
-sudo yum install gcc gcc-c++ sqlite-devel libffi-devel openssl-devel redhat-rpm-config
+sudo yum install -y gcc gcc-c++ sqlite-devel libffi-devel openssl-devel redhat-rpm-config
 
 # setup python virtualenv
-sudo yum install python-virtualenvwrapper postgresql postgresql-devel
+sudo yum install -y python-virtualenvwrapper postgresql postgresql-devel
 
 # have bash find mkvirutalenv
 source ~/.bashrc
@@ -20,7 +20,8 @@ mkvirtualenv hubs
 workon hubs
 
 # install python deps
-pip install -r requirements.txt
-pip install -r test-requirements.txt
-
+pip install --upgrade -r requirements.txt
+pip install --upgrade -r test-requirements.txt
 
+# TEMPORARY: html5lib update is causing other apps to crash
+pip install html5lib==0.9999999

